//
//  ChattingView.swift
//  AcaMate
//
//  Created by TAnine on 2/11/25.
//

import SwiftUI

struct ChattingView: View {
    @StateObject private var topVM = TopViewModel()
    
    @State private var scrollOffset: CGPoint = .zero
    var body: some View {
        
        VStack(spacing: 0) {
            TopView(topVM: topVM)
            
            OffsetObservableScrollView(showsIndicators: false, scrollOffset: $scrollOffset) { proxy in
                
            }
            .frame(maxWidth: .infinity, maxHeight: .infinity)
        }
        .onAppear {
            topVM.titleName = ""
            topVM.setLeftBtn(size: CGPoint(x: 40, y: 40), action: leftAct)
            topVM.setRightBtn(size: CGPoint(x: 40, y: 40), action: rightAct)
            
            
        }
    }
    
    func leftAct() {
        printLog("왼쪽 버튼 클릭")
    }
    func rightAct() {
        printLog("오른쪽 버튼 클릭")
    }
}

